Create Pages For Room
curl --request POST \
--url https://api.pagecall.com/v1/rooms/{room_id}/pages/create_many \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"entities": [
{
"type": "Image",
"src": "https://picsum.photos/id/237/536/354",
"fixed": true
}
],
"size": {
"width": 4000,
"height": 3000
},
"index": 123
}
]
'import requests
url = "https://api.pagecall.com/v1/rooms/{room_id}/pages/create_many"
payload = [
{
"entities": [
{
"type": "Image",
"src": "https://picsum.photos/id/237/536/354",
"fixed": True
}
],
"size": {
"width": 4000,
"height": 3000
},
"index": 123
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
entities: [{type: 'Image', src: 'https://picsum.photos/id/237/536/354', fixed: true}],
size: {width: 4000, height: 3000},
index: 123
}
])
};
fetch('https://api.pagecall.com/v1/rooms/{room_id}/pages/create_many', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pages": [
{
"id": "000585f36eed9e8fb6b655b4",
"entities": [
{
"type": "Image",
"src": "https://picsum.photos/id/237/536/354"
}
]
},
{
"id": "000585f36eed9e8fb6b655b5",
"entities": [
{
"type": "Image",
"src": "https://picsum.photos/id/237/536/354"
},
{
"type": "Image",
"src": "https://picsum.photos/id/237/536/354"
}
]
}
]
}Room Endpoints
Create Pages For Room
Create new pages in a meeting room (Bulk API)
POST
/
rooms
/
{room_id}
/
pages
/
create_many
Create Pages For Room
Currently, You cannot try this API on the docs.
This will create two pages, each containing a picture of a dog and a fox respectively.
Request Body Example
[
{
"entities": [
{
"type": "Image",
"src": "https://picsum.photos/id/237/367/267"
}
]
},
{
"entities": [
{
"type": "Image",
"src": "https://picsum.photos/id/582/367/267"
}
]
}
]
URL Encoding Requirement
Notice: Always encode URLs when using Pagecall’s APIs. Unencoded URLs may lead to errors, for which Pagecall is not liable.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
room id
Body
application/json
Response
Successful operation
Created pages
Show child attributes
Show child attributes
Example:
[
{
"id": "000585f36eed9e8fb6b655b4",
"entities": [
{
"type": "Image",
"src": "https://picsum.photos/id/237/536/354"
}
]
},
{
"id": "000585f36eed9e8fb6b655b5",
"entities": [
{
"type": "Image",
"src": "https://picsum.photos/id/237/536/354"
},
{
"type": "Image",
"src": "https://picsum.photos/id/237/536/354"
}
]
}
]⌘I

